Index: main/trunk/greenstone2/common-src/configure.in
===================================================================
--- main/trunk/greenstone2/common-src/configure.in	(revision 26564)
+++ main/trunk/greenstone2/common-src/configure.in	(revision 26565)
@@ -423,5 +423,5 @@
 # directories already or if common-src is compiled up on its own.
 # E.g. 32/64 bit won't be used in the SVN version if only bin/linux exists.
-if test -d "../bin/$gsdlos" -o ! -f "../setup.bash" ; then
+if test ! -d "../bin/$gsdlos$gsdlarch" -o ! -f "../setup.bash" ; then
    gsdlarch=""
 fi
